%define ALD_Ver		2.0
%define PERL_VER %(eval `perl -V:version`; echo $version)

%define OrgName XML-Parser
Name:         perl%{PERL_VER}-%{OrgName}

License:      GPL
Summary:      The Perl interpreter
Version:      2.46
Release:      0
Epoch:        4
Url: http://www.cpan.org/src/

#https://metacpan.org/release/TODDR/XML-Parser-2.46

Source: %{OrgName}-%{version}.tar.xz

Provides: perl(LWPExternEnt.pl)
Requires: perl = %{epoch}:%{PERL_VER}

%define DestDir		/Compiler/perl-%{PERL_VER}
# -----------------------------------------------------

%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}
%define MakeLocCross 0

#------------------ CROSS DIR --------------------

%define archlib %{perl_archlib}
%define sitearch %{perl_sitearch}
#%define siteman3dir	%(eval "`perl -V:installsiteman3dir`"; echo $installsiteman3dir)

%define auto_local %{_sourcedir}/AUTO_LOCAL-1.sh
%define have_auto_local %(if test -x %{auto_local} ; then echo 1 ; else echo 0 ; fi)
%define __os_install_post %{nil}

# ------------------- description ------------------------------------
%description
The Perl interpreter
# --------------------------------------
%package pod-doc
Summary:      pod-doc for Perl
Group:        Documentation
%description pod-doc
pod-doc for Perl
# --------------------------------------
%package man3
Summary:      man3 for Perl
Group:        Documentation
%description man3
man3 for Perl

# ------------------- setup ------------------------------------------
%Prep
%setup -q -n %{OrgName}-%{version}

# ------------------- Build ------------------------------------------
%Build
perl Makefile.PL

make &>FMake_log.txt
# ------------------- Install ----------------------------------------
%Install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p %{_srcrpmdir}

make DESTDIR=$RPM_BUILD_ROOT install \
	&>Finstall_log.txt

rm $RPM_BUILD_ROOT%{sitearch}/auto/XML/Parser/.packlist

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-MakeLocCross=%{MakeLocCross} -DelLocCrossDir=%{_bindir}
%endif  # have_auto_local

# ------------------- Clean ------------------------------------------
%Clean

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-ALD_Ver=%{ALD_Ver} -RpmMovePath=%{DestDir} -tar_arg=bzip2
%endif  # have_auto_local
# ------------------- Files ------------------------------------------
%files
%{sitearch}/XML
%{sitearch}/auto

%files pod-doc
%{archlib}/*.pod

%files man3
%{_mandir}/man3
